CUDNN Frontend API 8.3.0

Static Public Attributes | List of all members
nlohmann::detail::is_compatible_string_type_impl< BasicJsonType, CompatibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, CompatibleStringType >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::is_compatible_string_type_impl< BasicJsonType, CompatibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, CompatibleStringType >::value > >:

## Static Public Attributes
static constexpr auto | value

## Detailed Description

### template<typename BasicJsonType, typename CompatibleStringType>
struct nlohmann::detail::is_compatible_string_type_impl< BasicJsonType, CompatibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, CompatibleStringType >::value > >

Definition at line 3684 of file json.hpp.

## Member Data Documentation

## ◆ value

template<typename BasicJsonType , typename CompatibleStringType >

constexpr auto nlohmann::detail::is_compatible_string_type_impl< BasicJsonType, CompatibleStringType, enable_if_t< is_detected_exact< typename BasicJsonType::string_t::value_type, value_type_t, CompatibleStringType >::value > >::value
| static

Initial value:
=
is_constructible<typename BasicJsonType::string_t, CompatibleStringType>::value

Definition at line 3689 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp